Subject: Re: [PATCH] Adjust arch/powerpc inline asms for recent gcc change

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 30 Jul 2010 17:52:12 +1000

On Fri, 2010-07-30 at 09:19 +0200, Jakub Jelinek wrote:
> So, in short, I'm afraid "m<>" needs to be used only for GCC 4.6+
> (and, vendors which backported the inline-asm handling changes
> to their older gcc would need to adjust for their gccs too).
> When "m<>" isn't used, it just leads to potential code pessimization
> in inline-asms that are prepared for handling side-effects. 

Ok, so we'll need some kind of macro to "fixup" those constraints ...

Just to make sure I understand things properly, if we don't change them,
the code will still be correct with 4.6 but sub-optimal, right ?

Cheers,
Ben.